# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-08-28 12:01
from __future__ import unicode_literals

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('djangoldp_project', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Batch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('creationDate', models.DateField(auto_now_add=True)),
                ('modificationDate', models.DateField(auto_now=True)),
            ],
            options={
                'permissions': (('view_batch', 'Read'), ('control_batch', 'Control')),
            },
        ),
        migrations.CreateModel(
            name='CustomerInvoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.CharField(max_length=255)),
                ('title', models.CharField(max_length=255)),
                ('state', models.CharField(choices=[('pending', 'en attente'), ('paid', 'réglée')], default='pending', max_length=255)),
                ('tvaRate', models.DecimalField(decimal_places=2, max_digits=4)),
                ('creationDate', models.DateField(auto_now_add=True)),
                ('modificationDate', models.DateField(auto_now=True)),
                ('invoicingDate', models.DateField(default=datetime.date.today)),
                ('additionalText', models.CharField(blank=True, max_length=255, null=True)),
                ('customer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='djangoldp_project.Customer')),
                ('project', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='djangoldp_project.Project')),
            ],
            options={
                'permissions': (('view_invoice', 'Read'), ('control_invoice', 'Control')),
            },
        ),
        migrations.CreateModel(
            name='FreelanceInvoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('freelanceFullname', models.CharField(max_length=255)),
                ('identifier', models.CharField(max_length=255)),
                ('title', models.CharField(blank=True, max_length=255, null=True, verbose_name='Titre facture')),
                ('state', models.CharField(choices=[('pending', 'en attente'), ('sent', 'envoyé'), ('paid', 'payé')], default='pending', max_length=255)),
                ('htAmount', models.DecimalField(decimal_places=2, max_digits=11)),
                ('tvaRate', models.DecimalField(choices=[(0.0, 'exonération de TVA'), (20.0, '20%')], decimal_places=2, default=20.0, max_digits=4)),
                ('uploadUrl', models.URLField(blank=True, null=True)),
                ('creationDate', models.DateField(auto_now_add=True)),
                ('modificationDate', models.DateField(auto_now=True)),
                ('invoicingDate', models.DateField(default=datetime.date.today)),
            ],
            options={
                'permissions': (('view_freelance_invoice', 'Read'), ('control_freelance_invoice', 'Control')),
            },
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('htAmount', models.DecimalField(decimal_places=2, max_digits=11)),
                ('creationDate', models.DateField(auto_now_add=True)),
                ('modificationDate', models.DateField(auto_now=True)),
                ('batch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tasks', to='djangoldp_invoice.Batch')),
            ],
        ),
        migrations.AddField(
            model_name='batch',
            name='invoice',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='batches', to='djangoldp_invoice.CustomerInvoice'),
        ),
    ]
